Skip to main content
POST
Update a secret

Authorizations

X-API-Key
string
header
required

Path Parameters

secretID
string
required

Identifier of the secret (sec_ prefixed), or its canonical lower-case name

Body

application/json
value
string
required

Runtime marker stored as the secret's new version. The runtime resolves it to a value at sandbox egress.

metadata
object

Customer metadata of the secret. Always present, empty when unset. At most 32 entries; keys are limited to 128 bytes, values to 1024 bytes, and a secret's metadata to 8192 bytes in total.

Response

Successfully updated the secret

Metadata of a secret. It never carries the secret value.

secretID
string
required

Identifier of the secret

name
string
required

Name of the secret, unique within the project

currentVersion
integer<int64>
required

Version served to readers that do not name one

metadata
object
required

Customer metadata of the secret. Always present, empty when unset. At most 32 entries; keys are limited to 128 bytes, values to 1024 bytes, and a secret's metadata to 8192 bytes in total.

createdAt
string<date-time>
required

Time when the secret was created

updatedAt
string<date-time>
required

Time when the secret was last updated